Deriving The Trial Balance
=============================================================================================================
* Entries and reocniliations
    * Payroll
      * Data: Retain all payroll data in a `database` to build entries
      * Mappings: Configure `Paycom GL Interface`
      * `401k`: book disbursements and reconcile to Paycom withholdings
      * `FSA`: book FSA funding entries and reconcile to Paycom withholdings
    * Debt & Cash
      * Data: retain all PNC information available in a `database` to build entries (cash, revolver, debt)
      * Book all PNC `loan activity`
      * Book interest on `notes`
      * Reconcile all balance sheet `debt`
      * Book `interest rate swap` valuation
      * Bank Rec:
          * book entry to break out `freight checks`
          * book entries to clean up missed `fees`
          * book entries to deal with `miscelaneous discrepencies`
          * book entry to classify `outstanding checks` as liabilities
    * Intercompany Activity
      * Support `transfer pricing` entry
      * Book `consolidating` entries
      * Book `currency translation adjustment` for consolidated USD trial balance
      * Reconcile `CTA` & `Equity`
      * Reclassify any `intercompany liabilites` out of the trade accounts
      * Validate that `intercompany balances` are eliminated from consolidated trial balance
      * Other Balance Sheet Items
      * Book and reconcile amortization of `intangibles`
      * Book and reconcile amortization of `defered financing costs`
      * Book RSM determined `tax provision` and current year `tax accrual`
    * CMS Module Corrections
      * book entry to fix `virtual sales`
      * book entry to fix `credits`
      * furnish a report to the plants breaking out the `book to perpetual` issues
          * sales timing and valuation issues
          * cost roll impact
          * production ledger issues
          * voucher issues
          * issues with transfers
          * issues with returns
* Configuration
  * Module accounts (sales, inventory, production, manual adjustments, AP, AR, intecompany)
  * Chart of Accounts
    * EBITDA flags
    * consolidation flags
    * consolidation heirarchy
    * financial statement lines
    * currency indicator

Interpreting The Trial Balance
=========================================================================================================
* Rebuild trial balance into alternate financial statement formats
* Rebuilt subledger that matches original ledger
* Rebuild production subledger that does not match original
* Sales Matrix
* A large number of reports that I can't even list but are maintained [here](https://bitbucket.org/hccompanies/hc_ubm/src/master/)

Forecasting
=============================
* Product Strucutre Explosion Logic
  * global scale cost change estimates
  * production plans
  * inventory forecasts
* Sales forecast tool